[PATCH v2 1/3] test-lib.sh: renamed die...()s to trap...()s and exit...()

Subject: [PATCH v2 1/3] test-lib.sh: renamed die...()s to trap...()s and exit...()

Date: Sat, 28 May 2016 15:39:28 +0300

To: notmuch@notmuchmail.org

Cc: tomi.ollila@iki.fi

From: Tomi Ollila


Now the function names more accurately describes what the functions do.
---

V2 of id:1460525704-15145-1-git-send-email-tomi.ollila@iki.fi

Thanks to David's review this series (or this first patch)
is so much better.

 test/test-lib.sh | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/test/test-lib.sh b/test/test-lib.sh
index 201d0ebb94bb..fa9f9beec4f2 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -223,15 +223,15 @@ test_fixed=0
 test_broken=0
 test_success=0
 
-_die_common () {
+_exit_common () {
 	code=$?
 	trap - EXIT
 	set +ex
 	rm -rf "$TEST_TMPDIR"
 }
 
-die () {
-	_die_common
+trap_exit () {
+	_exit_common
 	if test -n "$GIT_EXIT_OK"
 	then
 		exit $code
@@ -245,8 +245,8 @@ die () {
 	fi
 }
 
-die_signal () {
-	_die_common
+trap_signal () {
+	_exit_common
 	echo >&6 "FATAL: $0: interrupted by signal" $((code - 128))
 	exit $code
 }
@@ -254,8 +254,8 @@ die_signal () {
 GIT_EXIT_OK=
 # Note: TEST_TMPDIR *NOT* exported!
 TEST_TMPDIR=$(mktemp -d "${TMPDIR:-/tmp}/notmuch-test-$$.XXXXXX")
-trap 'die' EXIT
-trap 'die_signal' HUP INT TERM
+trap 'trap_exit' EXIT
+trap 'trap_signal' HUP INT TERM
 
 test_decode_color () {
 	sed	-e 's/.\[1m/<WHITE>/g' \
-- 
2.8.2


Thread: